QGIS crashes on startup on 64 bit Ubuntu

2012-03-12 01:06 PM - Simon Coffey

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:1.7.4 Regression?: No

Operating System: 64 bit Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 14917

Description

I am running QGIS version 1.7.4-1 on 64 bit Ubuntu 11.10.  When I try to start QGIS the splash screen appears and the tips screen pops

up but the main screen flickers into life but then immediately disappears.  Once I close the tips window QGIS appears to be dead and

doesn't show up in the list of running processes.

When started from a terminal I get the following:

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_GB]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_GB]

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 104 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Options..." under id 108 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Snapping Options..." under id 109 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Configure shortcuts..." under id 107 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Style manager..." under id 106 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Custom CRS..." under id 105 

Python support ENABLED :-) 

Loaded : EasyPrint (package: easyprint)

Loaded : Plugin Installer (package: plugin_installer)

Loaded : fTools (package: fTools)

Related issues:

Duplicated by QGIS Application - Bug report # 6052: QGIS 1.8 crashes on start... Closed 2012-07-16

History

#1 - 2012-03-12 01:09 PM - Marco Bernasocchi

I m on a Pangolin nightly/live trying to run qgis and on top of what you get, i get

qgis.bin: /build/buildd/sip4-4.13.2/siplib/siplib.c:10938: sipEnumType_alloc: Assertion `( ( ( currentType )->td_flags & 0x0007 ) == 0x0003 )' failed.

Aborted ( core dumped )

#2 - 2012-03-28 10:55 PM - Mathieu Pellerin - nIRV

FYI, I'm seeing the same crash as described by Marco on a 32-bit machine using the master ppa build.

#3 - 2012-04-05 12:10 PM - Simon Coffey
This seems to have resolved itself.  I tried logging in with Unity2D rather than normal Unity and QGIS worked.  Then we I rebooted into normal Unity it still

worked.

No real idea but I think the issue may be related to Ubuntu rather than QGIS.

#4 - 2012-04-05 12:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

Marco and nirvn, if you have still evidence of this issue please reopen.

#5 - 2012-05-03 09:44 AM - Jorge Rocha

This problem is also happening in Ubuntu 12.04 32 bits, with Unity, QGIS 1.7.4-1~oneiric1.

qgis.bin: /build/buildd/sip4-4.13.2/siplib/siplib.c:10938: sipEnumType_alloc: Assertion `(((currentType)->td_flags & 0x0007) == 0x0003)' failed.

I'll try to find out more about this issue.

#6 - 2012-08-13 11:25 AM - Jason Matney

$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 125 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

qgis.bin: /build/buildd/sip4-4.13.2/siplib/siplib.c:10938: sipEnumType_alloc: Assertion `(((currentType)->td_flags & 0x0007) == 0x0003)' failed.

Aborted (core dumped)

Any resolution to the issue?

This is what I'm getting at startup.  The splash screen loads, then the whole program quits.  QGIS 1.8, Ubuntu 12.04

#7 - 2012-08-13 11:58 AM - Salvatore Larosa

Jason Matney wrote:

$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 125 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

qgis.bin: /build/buildd/sip4-4.13.2/siplib/siplib.c:10938: sipEnumType_alloc: Assertion `(((currentType)->td_flags & 0x0007) == 0x0003)' failed.

Aborted (core dumped)
Any resolution to the issue?

This is what I'm getting at startup.  The splash screen loads, then the whole program quits.  QGIS 1.8, Ubuntu 12.04

How do you install it? from repo? source?

#8 - 2012-08-13 12:53 PM - Jason Matney

Installed from source, using synaptic GUI, all relevant dependencies updated from a nightly build, i.e.

deb     http://qgis.org/debian-nightly precise main

deb-src http://qgis.org/debian-nightly precise main

#9 - 2012-08-15 07:11 AM - Jason Matney

Okay, tried to install from repository.  Ubuntu 12.04.  Updated GDAL... Still received this message 

$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Project Properties..." under id 125 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

qgis.bin: /build/buildd/sip4-4.13.2/siplib/siplib.c:10938: sipEnumType_alloc: Assertion `(((currentType)->td_flags & 0x0007) == 0x0003)' failed.

Aborted (core dumped)

Any ideas?

#10 - 2012-08-15 07:26 AM - Jason Matney

Problem fixed!

#11 - 2012-09-24 10:22 AM - Cian O'Halloran

Jason Matney wrote:

Problem fixed!

How did you solve it? I'm getting the same issue with QGIS 1.8 on Ubuntu 11.10.

#12 - 2012-10-04 02:27 PM - Andreas Fachathaler

Cian O'Halloran wrote:

How did you solve it? I'm getting the same issue with QGIS 1.8 on Ubuntu 11.10.
I am running Linux Mint 13 Maya (KDE Edition, 64bit) and had the same issue with qgis 1.8.0 from the repository (http://qgis.org/debian oneiric main). I got

it working by removing the qgis python plugin (sudo apt-get remove python-qgis).

#13 - 2012-10-04 02:38 PM - Andreas Fachathaler

Oh, I just realised that I was using the wrong codename for the repository. Linux Mint 13 is based on Ubuntu 12.04, so I changed the repo to

"http://qgis.org/debian precise main" and qgis works with the python plugin installed.
